/***********************
* WILFA SVART 2019 STYLE
***********************/

/***********************
* VARIABLES
***********************/

:root {
  --main-theme-color: #065DB3;
  --main-theme-font-size: 16px;
  --descriptions-font-size: 2vw;
}

@media (min-width: 1140px) {
  :root {
    --main-theme-font-size: 18px;
    --descriptions-font-size: 1.8vw;
  }
}

/***********************
* GENERAL STYLES
***********************/

.cd-main-content {
  padding-top: 66px;
}

@media (min-width: 992px) {
  .cd-main-content {
    padding-top: 81px;
  }
}

/***********************
* TYPOGRAPHY
***********************/

p {
  margin: 0;
}

.text {
  font-size: 20px;
}

.text > * {
  line-height: 1.4em;
  margin-bottom: 32px;
}

.text > *:first-child {
  margin-top: 0;
}

.text > *:last-child {
  margin-bottom: 0;
}

.hentry p, .hentry a, .hentry li, .hentry ul, .hentry ol, .hentry span {
  font-size: 1em;
  line-height: 1.4em;
}

.hentry .container {
  position: relative;
}

@media (min-width: 768px) {
  .text {
    font-size: var(--main-theme-font-size)!important;
  }
}


/***********************
* FORMS
***********************/

.event-form {
  padding: 64px 0;
  font-size: var(--main-theme-font-size);
  background: var(--main-theme-color);
  color: #fff;
  line-height: 1.4em;
}

.event-form a {
  color: #fff;
  text-decoration: underline;
}

.event-form input[type="text"],
.event-form input[type="email"],
.event-form input[type="tel"],
.event-form textarea {
  padding: 10px;
  line-height: 1.4em;
  border-color: transparent;
  border-radius: 0;
  background: #f1f1f1;
  font-size: 1em;
}

.event-form input[type="button"] {
  background: transparent;
  color: #fff;
  border: 2px solid #fff;
  padding: 16px 22px;
  border-radius: 0;
  font-size: 1em;
}

.event-form input[type="button"]:hover {
  background: #fff;
  color: #000;
}

.ninja-forms-form-wrap {
  font-size: var(--main-theme-font-size);
}

.nf-form-fields-required {
  display: none;
}

.nf-error-msg, .ninja-forms-req-symbol {
  color: #ffab06!important;
  font-weight: bold;
}

.nf-error .ninja-forms-field {
  border: 2px solid #ffab06!important;
}

.label-right .checkbox-wrap {
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}

.label-right .checkbox-wrap .nf-field-label {
  width: 60%!important;
}

.label-right .nf-field-description {
  margin-right: 0!important;
  width: auto;
  margin-left: auto;
  text-align: right;
}

.nf-field-description a {
  display: block;
}

.nf-response-msg {
  padding: 32px;
  background: #1f1f1f;
}

@media (min-width: 768px) {
  .ninja-forms-form-wrap {
    font-size: var(--main-theme-font-size);
  }
}

/***********************
* SECTIONS
***********************/

.image-with-content {
  background: #080808;
  color: #fff;
}

.simple-section {
  background: #fff;
  color: #000;
}

.image-with-content,
.simple-section {
  font-weight: 200;
}

.image-with-content img {
  width: 100%;
}

.centered-content,
.descriptions {
  font-size: 20px;
  padding: 64px 32px;
}

.image-with-content .big {
  width: 100%;
  height: auto;
  max-width: 340px;
}

.table-p {
  margin-bottom: 0!important;
}

.table-p span {
  display: inline-block;
  min-width: 80px;
}

.square-button {
  padding: 32px;
  border: 2px solid var(--main-theme-color);
  display: inline-block;
}

.square-button a {
  color: #fff;
  text-decoration: underline;
  font-style: italic;
}

.badge {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  position: absolute;
  top: 7vw;
  right: 11vw;
  background: var(--main-theme-color);
  border-radius: 50%;
  font-size: 16px;
  text-align: center;
  width: 120px;
  height: 120px;
  line-height: 1em;
}

.badge .badge-big {
  display: block;
  font-size: 34px;
  font-weight: bold;
  line-height: 1em;
}

.badge span:first-of-type {
  margin-top: 7px;
}

.point {
  margin-bottom: 32px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
      -ms-flex-direction: row;
          flex-direction: row;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
}

.point:before {
  content: '';
  display: inline-block;
  width: 8px;
  height: 30px;
  background: var(--main-theme-color);
  border-radius: 1px;
  margin: 0 22px 3px 0;
}

.point p {
  display: inline-block;
  max-width: calc(100% - 8px - 22px);
}

.point-6:before {
  content: none;
}

.point-6 img {
  max-width: 100px;
  margin: 0 auto;
}

.image-title {
  margin-bottom: 32px;
  font-size: 20px!important;
}

.image-title span {
  font-size: 34px;
  font-weight: bold;
  display: inline-block;
}

.image-with-content {
  position: relative;
}

.image-logos {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
      -ms-flex-direction: row;
          flex-direction: row;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
}

.image-logos img {
  display: inline-block;
  width: 20%;
  height: auto;
  max-width: 120px;
  margin: 0 12px 0 0;
}

@media (min-width: 768px) {
  .descriptions {
    display: none;
  }

  .image-logos {
    position: absolute;
    bottom: 32px;
    width: calc(100% - 128px);
    -webkit-box-pack: end;
        -ms-flex-pack: end;
            justify-content: flex-end;
  }

  .image-logos img {
    max-width: 80px;
    margin: 0 0 0 12px;
  }

  .centered-content {
    font-size: var(--descriptions-font-size);
    position: absolute!important;
    top: 0;
    left: 50%;
    bottom: 0;
    -webkit-transform: translateX(-50%);
        -ms-transform: translateX(-50%);
            transform: translateX(-50%);
  }

  .image-with-content .centered-content {
    color: white;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: start;
        -ms-flex-align: start;
            align-items: flex-start;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    padding: 64px 16px;
  }

  html[lang="fi"] .image-with-content .centered-content {
    justify-content: flex-start;
  }

  .image-with-content img {
    margin-top: 0;
  }

  .image-with-content .big {
    margin-bottom: 32px;
    max-width: 285px!important;
  }

  .image-with-content .table-info {
    margin-bottom: 80px;
  }

  .square-button {
    max-width: 350px;
  }

  .square-button a {
    color: white;
  }

  .image-title {
    position: absolute;
    color: #fff;
    font-size: 23px!important;
    left: 64px;
    top: 64px;
    width: calc(100% - 128px);
    padding: 0;
  }

  .image-title span {
    font-size: 42px!important;
  }

  /* Black Text */
  .image-with-content.black-text .image-title {
    color: #000;
  }
}

@media (min-width: 992px) {
  .image-with-content .centered-content,
  html[lang="fi"] .image-with-content .centered-content {
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
  }

  .image-with-content .centered-content > * {
    max-width: 420px;
  }

  .centered-content {
    width: 862px;
  }
}

@media (min-width: 1140px) {
  .centered-content {
    width: 900px;
  }

  .image-with-content .big {
    max-width: 312px!important;
  }
}

@media (min-width: 1440px) {
  .image-with-content .container {
    padding: 0 16px;
  }
}

.features img {
  display: none;
}

@media (max-width: 767px) {
  .tablet-image {
    display: none;
  }
}

@media (min-width: 768px) {
  .size-mobile {
    display: none;
  }

  .features img.size-tablet {
    display: block;
  }
}

@media (min-width: 992px) {
  .features img.size-tablet {
    display: none;
  }

  .features img.size-desktop {
    display: block;
  }
}

@media (min-width: 1140px) {
  .features img.size-tablet,
  .features img.size-desktop {
    display: none;
  }

  .features img.size-desktop-big {
    display: block;
  }
}

@media (min-width: 768px) and (max-width: 991px) {
  .image-with-content .centered-content > * {
    max-width: 360px;
    width: 100%;
    margin-bottom: 16px;
  }

  .image-with-content .centered-content > p:first-of-type {
    max-width: 70%;
  }

  .image-with-content .big {
    max-width: 286px!important;
  }

  .image-with-content .table-info {
    margin-bottom: 32px;
  }
}


/* Video */
.video-img-bg {
  background: url('../../images/wilfa-svart-2019/tim_blue_crop.jpg');
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  padding-bottom: 56%;
  text-align: center;
  position: relative;
}

.play-video {
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
      -ms-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
}

.play-video span {
  color: #fff;
  text-decoration: underline;
  font-size: var(--main-theme-font-size);
}

.play-video img {
  display: block;
  max-width: 60px;
  margin: 0 auto 5px;
}

@media (min-width: 768px) {
  .play-video img {
    max-width: 130px;
    margin: 0 auto 20px;
  }
}

/* SIMPLE SECTION */
.simple-section {
  padding: 64px 16px;
  border-top: 1px solid #f1f1f1;
}

.simple-section a {
  color: var(--main-theme-color);
}

.simple-section a#read-more-link {
  color: #000;
  text-decoration: underline;
  font-size: var(--main-theme-font-size);
}

.simple-section .container,
.event-form .container {
  max-width: 900px;
}

@media (min-width: 768px) {
  .simple-section {
    border: none;
    padding: 64px 0;
  }
}

@media (min-width: 1440px) {
  .simple-section .container {
    padding: 0 16px;
  }
}

/***********************
* FOOTER
***********************/


/* Fixed Footer Fix */
html, body {
	height: 100%;
}

.table-wrap {
	display: inline-block;
	height: 100%;
	width: 100%;
	margin: 0 auto;
}
.page-template-wilfa-svart-page .table-wrap,
.page-template-wilfa-rawfuel-page .table-wrap {
  display: table;
  height: auto;
}
.page-template-wilfa-svart-page .cd-main-content {
  min-height: 0;
  padding-top: 0;
}

#colophon {
	background: #fff;
  color: #000;
  border-top: 1px solid #f1f1f1;
}

.site-footer h4,
.site-footer li a {
	color: #000;
}

.footer-widget-container {
	border-bottom: 1px solid rgba(0, 0, 0, .1);
}

/* Language Selector */
#lang_sel_click a.lang_sel_sel {
	color: #000;
	border: 0px solid #f1f1f1;
}

#lang_sel_click a.lang_sel_sel .icl_lang_sel_native {
  color: #000;
}

#lang_sel_click a.lang_sel_sel:hover {
	color: var(--main-theme-color);
}


#lang_sel_click a.lang_sel_sel:hover .icl_lang_sel_native {
	color: var(--main-theme-color);
}

#lang_sel_click ul li ul li a {
	background-color: #000!important;
	border: 0px solid #f1f1f1;
}

.icl_lang_sel_native {
	border: 1px solid #f1f1f1;
	background: #fff;
}

.icl_lang_sel_native:hover {
	color: #fff;
	background: #F2FAFF;
	border-color: var(--main-theme-color);
}

#lang_sel_click ul li ul li a:hover {
	border: 0px solid #cdcdcd;
}

.tooltips-bilde {
	color: #000;
}

.tooltips-bilde:hover {
	color: #000;
}

.tooltips-bilde:before {
  color: #000;
}
